package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PtoVtaCheckinDAO;
import com.rjconsultores.ventaboletos.entidad.PtoVtaCheckin;
import com.rjconsultores.ventaboletos.service.PtoVtaCheckinService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("ptoVtaCheckinService")
public class PtoVtaCheckinServiceImpl implements PtoVtaCheckinService {

	@Autowired
	private PtoVtaCheckinDAO ptovtaEmpresaBloqueadaServiceDAO;

	@Override
	public List<PtoVtaCheckin> obtenerTodos() {
		return ptovtaEmpresaBloqueadaServiceDAO.obtenerTodos();
	}

	@Override
	public PtoVtaCheckin obtenerID(Integer id) {
		return ptovtaEmpresaBloqueadaServiceDAO.obtenerID(id);
	}

	@Override
	@Transactional(readOnly = false)
	public PtoVtaCheckin suscribir(PtoVtaCheckin entidad) {
		return ptovtaEmpresaBloqueadaServiceDAO.suscribir(entidad);
	}

	@Override
	@Transactional(readOnly = false)
	public PtoVtaCheckin actualizacion(PtoVtaCheckin entidad) {
		return ptovtaEmpresaBloqueadaServiceDAO.actualizacion(entidad);
	}

	@Override
	@Transactional(readOnly = false)
	public void borrar(PtoVtaCheckin entidad) {
		entidad.setActivo(Boolean.FALSE);
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		ptovtaEmpresaBloqueadaServiceDAO.actualizacion(entidad);
	}

}
